Update Duo configuration
Updates the Duo Authentication configuration for a specific Tenant.
Updates the Duo Authentication configuration for a specific Tenant.
Authorization
M2MBearerToken AuthorizationBearer <token>
M2M Token for authentication
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "https://api.loginradius.com/v2/manage/2fa/duo-authenticator-settings" \ -H "Content-Type: application/json" \ -d '{}'{
"IsEnabled": true,
"ClientId": "string",
"ClientSecret": "string",
"APIHost": "string"
}{
"ErrorCode": 1079,
"Message": "Put body is invalid or empty",
"Description": "Please use a valid put body in JSON format in order to process this request."
}{
"Message": "Access Unauthorized",
"Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
"ErrorCode": 6002
}{
"Message": "Operation failed due to an internal error.",
"Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
"ErrorCode": 7909
}